/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package net.util;
import static shoshone.httpclient.UrlUtil.*;

public class LinkExtractorByKey extends LinkExtractor{

	private static LinkExtractor linkExtractor= new LinkExtractorByKey();
	
	public static LinkExtractor getLinkExtractor() {
		return linkExtractor;
	}
	
	private LinkExtractorByKey() {
		
	}
	
	@Override
	public String getLink(String url, String html,String[] args) {
		String key=args[0];
		String token=args[1];
		
		String s=preFilterHtml(html);
		
		int k=s.indexOf(key);
		
		if (k==-1) return null;
		
		int i = s.lastIndexOf('<',k);
		
		String t=token+'=';
		System.out.println(s.substring(k));
		int start=s.indexOf(t, i)+t.length()+1;
		
		if (start==-1) return null;
		
		int end=s.indexOf(delimiter, start);
		
		return URLDecoder.decode(getAbsolutePath(s.substring(start, end), url));
	}

	@Override
	public String[] getArgNames() {
		return new String[]{"value","linkElementName"};
	}

}
