/*	License
 * 		inside EU: EUPL
 * 		outside EU: GPL or EUPL
 *  The program comes AS IS and without any warranty unless required by law
 *  (C) 2012 thecodemonkey
 */

package shoshone.httpclient;

public class UrlUtil {
	public static String getAbsolutePath(String l,String u) {
		if (l.startsWith("..")) {
			l=getDirDotDot(u, l);
		} else if (l.charAt(0)=='.') {
			l=getDirDot(u, l);
		} else if (l.charAt(0)=='/') {
			int j=getHostIndex(u);
			if (j>-1) {
				l=u.substring(0, j)+l;
			} else {
				l=u+l;
			}
		} else if (!l.startsWith("http")) {
			int j=getHostIndex(u);
			if (j>-1) {
				l=u.substring(0, j)+'/'+l;
			} else {
				l=u+'/'+l;
			}
			
		} 
		return l;
	}
	
	public static int getHostIndex(String u) {
		return u.indexOf('/', 8);
	}
	
	public static String getDirDotDot(String u,String l) {
		int k=u.lastIndexOf('/');
		int j=u.lastIndexOf('/', k-1);
		
		if (j==6) 
			return u.substring(0,k)+l.substring(2);
		else
			return u.substring(0,j)+l.substring(2);
	}
	
	public static String getDirDot(String u,String l) {
		int k=u.lastIndexOf('/');
		return u.substring(0,k)+l.substring(1);
	}
}
